{
  "components": {
    "examples": {
      "standard-error-400": {
        "description": "The request body or parameters are invalid.",
        "summary": "Bad Request",
        "value": {
          "errors": [],
          "localizedMessage": "Invalid request",
          "message": "Invalid request",
          "status": "BAD_REQUEST",
          "statusCode": 400
        }
      },
      "standard-error-401": {
        "description": "The credentials are missing or invalid, the calling IP is not on the client's allowlist, or mTLS is enforced and no valid client certificate was sent. An expired session token gets 401 Token expired.",
        "summary": "Unauthorized",
        "value": {
          "errors": [],
          "localizedMessage": "Authentication failed",
          "message": "Authentication failed",
          "status": "UNAUTHORIZED",
          "statusCode": 401
        }
      },
      "standard-error-403": {
        "description": "The client is not allowed to use this endpoint or resource.",
        "summary": "Forbidden",
        "value": {
          "errors": [],
          "localizedMessage": "Not allowed",
          "message": "Not allowed",
          "status": "FORBIDDEN",
          "statusCode": 403
        }
      },
      "standard-error-404": {
        "description": "The requested resource does not exist or has expired.",
        "summary": "Not Found",
        "value": {
          "errors": [],
          "localizedMessage": "Not found",
          "message": "Not found",
          "status": "NOT_FOUND",
          "statusCode": 404
        }
      },
      "standard-error-429": {
        "description": "The client has sent too many requests in a given time window. Retry after a delay using exponential backoff.",
        "summary": "Rate limit exceeded",
        "value": {
          "errors": [],
          "localizedMessage": "Too many requests. Please retry with backoff.",
          "message": "Too many requests. Please retry with backoff.",
          "status": "TOO_MANY_REQUESTS",
          "statusCode": 429
        }
      }
    },
    "schemas": {
      "AddOn": {
        "description": "An addon for a specific insurance. The addOns can be used for looking up when using the API, while the names might be localized in a way that makes them hard to use. The annualPremium is in the same currency as the insurance. The list relates to reference for possible values of the IDs for different insurance types.",
        "discriminator": {
          "propertyName": "insurance-parameters"
        },
        "properties": {
          "addOnId": {
            "description": "The technical name of the addon, standardized across different companies.",
            "example": "addOnLife",
            "type": "string"
          },
          "addOnName": {
            "description": "Localized name of the addon, can be used as display name.",
            "example": "Livförsäkring",
            "type": "string"
          },
          "addOnPrice": {
            "description": "The yearly premium paid for the addon.",
            "example": 576,
            "format": "int32",
            "type": "integer"
          }
        },
        "title": "Insurance Addon"
      },
      "AdditionalBuilding": {
        "description": "An additional building on the same property as the main residence covered in a `villaInsurance`\n",
        "properties": {
          "area": {
            "description": "Area of additional building in square meters rounded to nearest integer. This property will not be available if areaRangeLower and/or areaRangeUpper properties are set.\n",
            "example": 15,
            "format": "int32",
            "type": "integer"
          },
          "areaRangeLower": {
            "description": "Lower boundary for additional building size in square meters rounded to nearest integer. This property will not be available if the area property is set.\n",
            "example": 20,
            "format": "int32",
            "type": "integer"
          },
          "areaRangeUpper": {
            "description": "Upper boundary for additional building size in square meters rounded to nearest integer. This property will not be available if the area property is set.\n",
            "example": 50,
            "format": "int32",
            "type": "integer"
          },
          "buildingType": {
            "description": "The type of the additional building.",
            "enum": [
              "BARN",
              "BOAT_HOUSE",
              "GUEST_HOUSE",
              "CARPORT",
              "ENCLOSED_PORCH",
              "GARAGE",
              "GAZEBO",
              "GREEN_HOUSE",
              "POOL",
              "SAUNA",
              "SHED",
              "STABLE",
              "UNKNOWN"
            ],
            "example": "GREEN_HOUSE",
            "type": "string"
          },
          "floors": {
            "description": "Number of floors in the additional building.",
            "example": 2,
            "format": "int32",
            "type": "integer"
          },
          "waterConnection": {
            "description": "Whether the additional building has water connected.",
            "example": true,
            "type": "boolean"
          }
        },
        "title": "AdditionalBuilding"
      },
      "AdditionalBuildingCottage": {
        "description": "An additional building on the same property as the main residence covered in a `cottageInsurance`\n",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceCottage"
          },
          "propertyName": "insurance"
        },
        "properties": {
          "area": {
            "description": "Area of additional building in square meters rounded to nearest integer. This property will not be available if areaRangeLower and/or areaRangeUpper properties are set\n",
            "example": 15,
            "format": "int32",
            "type": "integer"
          },
          "areaRangeLower": {
            "description": "Lower boundary for additional building size in square meters rounded to nearest integer. This property will not be available if the area property is set.\n",
            "example": 20,
            "format": "int32",
            "type": "integer"
          },
          "areaRangeUpper": {
            "description": "Upper boundary for additional building size in square meters rounded to nearest integer. This property will not be available if the area property is set.\n",
            "example": 50,
            "format": "int32",
            "type": "integer"
          },
          "buildingType": {
            "description": "The type of the additional building.",
            "enum": [
              "BARN",
              "BOAT_HOUSE",
              "GUEST_HOUSE",
              "CARPORT",
              "ENCLOSED_PORCH",
              "GARAGE",
              "GAZEBO",
              "GREEN_HOUSE",
              "POOL",
              "SAUNA",
              "SHED",
              "STABLE",
              "UNKNOWN"
            ],
            "example": "GREEN_HOUSE",
            "type": "string"
          },
          "floors": {
            "description": "Number of floors in the additional building.",
            "example": 2,
            "format": "int32",
            "type": "integer"
          },
          "waterConnection": {
            "description": "Whether the additional building has water connected.",
            "example": true,
            "type": "boolean"
          }
        },
        "title": "AdditionalBuildingCottage"
      },
      "AdditionalLoginInput": {
        "description": "Additional login input",
        "example": {
          "key": "region",
          "options": [
            {
              "label": "Centre Loire",
              "value": "centreloire"
            },
            {
              "label": "Centre Est",
              "value": "centrest"
            }
          ],
          "type": "selectOne"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/SelectOne"
          }
        ],
        "properties": {
          "type": {
            "type": "string"
          }
        }
      },
      "AdditionalLoginInputSelectOption": {
        "properties": {
          "label": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        },
        "required": [
          "label",
          "value"
        ]
      },
      "BonusMalus": {
        "description": "Bonus/Malus on the insurance policy",
        "properties": {
          "coefficient": {
            "description": "Bonus/Malus coefficient",
            "example": 0.6,
            "format": "double",
            "type": "number"
          }
        }
      },
      "Claims": {
        "description": "Details about the insurance claims history",
        "properties": {
          "numberOfClaims": {
            "description": "Total count of insurance claims filed",
            "example": 3,
            "format": "int32",
            "type": "integer"
          },
          "periodInMonths": {
            "description": "The count of months since the earliest recorded insurance claim",
            "example": 24,
            "format": "int32",
            "type": "integer"
          }
        }
      },
      "CollectionInput": {
        "description": "A `CollectionInput` is a set of values that required for the collection process to continue. The required input is specified by the key `requiredInputTypes`, under the `extraInformation` key on the `CollectionStatus` object.",
        "properties": {
          "items": {
            "items": {
              "$ref": "#/components/schemas/Item"
            },
            "type": "array",
            "uniqueItems": true
          },
          "type": {
            "enum": [
              "COLLECTION_INPUT"
            ],
            "example": "COLLECTION_INPUT",
            "type": "string"
          }
        }
      },
      "CollectionItem": {
        "properties": {
          "externalId": {
            "example": "def8d810-e60e-4922-a7ea-852648c2cf3c",
            "type": "string"
          },
          "status": {
            "description": "Possible statuses for a policy being collected",
            "enum": [
              "NOT_STARTED",
              "COMPLETED",
              "COLLECTING",
              "FAILED",
              "NOT_COLLECTED"
            ],
            "example": "NOT_STARTED",
            "type": "string"
          },
          "subType": {
            "example": "condoInsuranceString",
            "type": "string"
          },
          "type": {
            "example": "houseContentInsurance",
            "type": "string"
          }
        }
      },
      "CollectionRequestFilter": {
        "properties": {
          "rules": {
            "items": {
              "$ref": "#/components/schemas/CollectionRequestFilterRule"
            },
            "type": "array",
            "uniqueItems": true
          }
        }
      },
      "CollectionRequestFilterRule": {
        "properties": {
          "field": {
            "enum": [
              "registrationNo"
            ],
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        }
      },
      "CollectionRequestV2": {
        "discriminator": {
          "propertyName": "api"
        },
        "properties": {
          "consents": {
            "description": "A set of consents provided by the end user.",
            "items": {
              "$ref": "#/components/schemas/ConsentRequestInput"
            },
            "type": "array",
            "uniqueItems": true
          },
          "filter": {
            "$ref": "#/components/schemas/CollectionRequestFilter"
          },
          "input": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Key-value object specifying additional input required for the insurance collection. What values should be included depends on context.Possible keys are `SWEDISH_PERSONAL_NUMBER`, `NORWEGIAN_PERSONAL_NUMBER`, `NORWEGIAN_PHONE_NUMBER`,`USERNAME`, `PASSWORD`, `LASTNAME`, `ACCOUNT_OWNER_NAME`.",
            "example": {
              "SWEDISH_PERSONAL_NUMBER": "192101010101"
            },
            "type": "object"
          },
          "insuranceCompany": {
            "description": "The name of the insurance company to trigger the insurance collection from",
            "example": "se-lansforsakringar",
            "type": "string"
          },
          "loginMethod": {
            "description": "Login method that will be used to authenticate the user. Available login methods for a company is specified in the `/insurance-company/status` response.",
            "enum": [
              "DANISH_NEMID",
              "DANISH_MITID",
              "DANISH_MITID_SAME_DEVICE",
              "ESTONIAN_MOBILE_ID",
              "ESTONIAN_SMART_ID",
              "ESTONIAN_MOBILE_ID_USERNAME",
              "ESTONIAN_SMART_ID_USERNAME",
              "LATVIAN_MOBILE_EPARAKSTS",
              "LATVIAN_SMART_ID",
              "LATVIAN_MOBILE_EPARAKSTS_USERNAME",
              "LATVIAN_SMART_ID_USERNAME",
              "LITHUANIAN_SMART_ID",
              "LITHUANIAN_MOBILE_ID",
              "LITHUANIAN_SMART_ID_USERNAME",
              "LITHUANIAN_MOBILE_ID_USERNAME",
              "SMART_ID_SAME_DEVICE",
              "SMART_ID_OTHER_DEVICE",
              "SMART_ID_USERNAME_SAME_DEVICE",
              "SMART_ID_USERNAME_OTHER_DEVICE",
              "NORWEGIAN_BANKID_ON_MOBILE",
              "NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST",
              "SWEDISH_SECURITY_TOKEN",
              "UK_DOB_USERNAME_PASSWORD",
              "UK_LASTNAME_MEMBERSHIP_NUMBER",
              "UK_USERNAME_POSTCODE",
              "USERNAME_AND_PASSWORD",
              "EMAIL",
              "PDF_UPLOAD",
              "GERMAN_EID",
              "AUTHENTICATION_APP_URL",
              "MANUAL_SELECT",
              "API_KEY"
            ],
            "example": "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
            "type": "string"
          }
        }
      },
      "CollectionStatus": {
        "discriminator": {
          "propertyName": "api"
        },
        "properties": {
          "collectionItems": {
            "items": {
              "$ref": "#/components/schemas/CollectionItem"
            },
            "type": "array"
          },
          "externalUserUuid": {
            "description": "The UUID of the external user this collection belongs to, when it is linked to one (null otherwise). Can be used to build a Hub deep-link of the form /collections/user/{externalUserUuid}.",
            "example": "b3f1c2a4-8d6e-4f2b-9a1c-7e5d3b2a1f0e",
            "type": "string"
          },
          "extraInformation": {
            "$ref": "#/components/schemas/CollectionStatusInformationMap",
            "description": "A key-value map containing potential extra information, depending on the company the collection is getting data from.",
            "example": {
              "AUTOSTART_TOKEN": "38bb848d-5a0d-4dec-977d-a8777f3637da",
              "SWEDISH_BANKID_QRCODE": "iVBORw0KGgoAA=="
            }
          },
          "id": {
            "description": "The collection ID of the request",
            "example": "22e633bc-427d-4f4a-87cf-cfaca04ef351",
            "type": "string"
          },
          "insuranceCompany": {
            "description": "Insurance company that this collection is from",
            "example": "se-lansforsakringar",
            "type": "string"
          },
          "pollingInterval": {
            "description": "The recommended interval in milliseconds at which to poll the `/status` endpoint for a collection. The endpoint can be polled less often, but latest by the value indicated by `pollingTimeout` to ensure that the collection is not terminated.",
            "example": 1000,
            "format": "int32",
            "type": "integer"
          },
          "pollingTimeout": {
            "description": "The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.",
            "example": "2024-09-26T12:59:10.545Z",
            "format": "date-time",
            "type": "string"
          },
          "status": {
            "description": "Current status of the collection request. Possible values are: `RUNNING`, `LOGIN`,`CONTACT FORM PENDING`, `COLLECTING`, `COMPLETED`, `COMPLETED PARTIAL`, `COMPLETED EMPTY`, `FAILED`, `FAILED PDF PARSE`, `FAILED PDF USER INPUT` `WAITING FOR AUTHENTICATION`, `INCORRECT CREDENTIALS`, `KYC FORM`, `CUSTOMER ENROLLMENT REQUIRED`, `CONTACT FORM`, `AUTHENTICATION CONFLICT`, `AUTHENTICATION MISMATCH`, `TWO FACTOR PENDING`.",
            "example": "RUNNING",
            "type": "string"
          }
        },
        "required": [
          "id",
          "insuranceCompany",
          "status"
        ],
        "title": "CollectionStatus"
      },
      "CollectionStatusInformationMap": {
        "description": "Possible extra information returned for a collection status",
        "discriminator": {
          "propertyName": "api"
        },
        "properties": {
          "ACCESS_TOKEN": {
            "description": "Access token to call get-data. Returned when data collection is initiated by client-id.",
            "type": "string"
          },
          "AUTHENTICATION_APP_URL": {
            "description": "A url to trigger authentication apps.",
            "example": "https://banklogin.com/challenge?id=bc453568-1e63-432c-9957-ae2fc6acb826",
            "type": "string"
          },
          "AUTOSTART_TOKEN": {
            "description": "A precompiled app-link with an embedded autostart token.",
            "example": "bankid:///?autostarttoken=7c40b5c9-fa74-49cf-b98c-bfe651f9a7c6&redirect=bankid://bankid",
            "type": "string"
          },
          "AVAILABLE_TWO_FACTOR_METHODS": {
            "description": "Available 2FA methods for this collection.",
            "items": {
              "$ref": "#/components/schemas/TwoFactorOption"
            },
            "type": "array"
          },
          "DANISH_NEM_ID_CARD_CODE_LOOKUP": {
            "description": "Nem ID number lookup for correct code from code card.",
            "example": "12345",
            "type": "string"
          },
          "INSTRUCTIONS": {
            "$ref": "#/components/schemas/InstructionsRequestObject",
            "description": "Instructions used for SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION login method."
          },
          "NORWEGIAN_BANKID_WORDS": {
            "description": "Two words for validating that the prompted session in app is the same.",
            "example": "SPINKEL BRIKKE",
            "type": "string"
          },
          "QR_CODE_DATA": {
            "description": "A base64 encoded QR-code.",
            "example": "R0lGODdhtAC0AIAAAAAAAP///ywAAALg==Lg==",
            "type": "string"
          },
          "REFERENCE_NUMBER": {
            "description": "Reference number from login page to verify on other device.",
            "example": "1234",
            "type": "string"
          },
          "SWEDISH_BANKID_QRCODE": {
            "description": "A base64 encoded swedish BankId QR-code.",
            "example": "R0lGODdhtAC0AIAAAAAAAP///ywAAALg==Lg==",
            "type": "string"
          },
          "SWEDISH_MOBILE_BANKID_ANIMATED_QR_DATA": {
            "description": "Used to generate an animated QR-code to authenticate users on other devices. The QR-code needs to be updated every second and is only applicable for companies that have the LoginMethod SWEDISH_MOBILE_BANKID_OTHER_DEVICE.",
            "example": "bankid.67df3917-fa0d-44e5-b327-edcc928297f8.0.dc69358e712458a66a7525beef148ae8526b1c71610eff2c16cdffb4cdac9bf8",
            "type": "string"
          },
          "SWEDISH_MOBILE_BANKID_AUTOSTART_TOKEN": {
            "description": "Used to compile a QR image or an app-link.",
            "example": "7c40b5c9-fa74-49cf-b98c-bfe651f9a7c6",
            "type": "string"
          },
          "TWO_FACTOR_AUTHENTICATION_INSTRUCTION": {
            "$ref": "#/components/schemas/TwoFactorAuthenticationInstruction"
          },
          "requiredInputTypes": {
            "description": "Input that needs to be provided for the collection process to continue.",
            "example": "EMAIL",
            "items": {
              "description": "Type of input.",
              "enum": [
                "EMAIL",
                "ESTONIAN_PERSONAL_NUMBER",
                "ESTONIAN_PHONE_NUMBER",
                "LASTNAME",
                "LATVIAN_PERSONAL_NUMBER",
                "LITHUANIAN_PERSONAL_NUMBER",
                "LITHUANIAN_PHONE_NUMBER",
                "LOGIN_METHOD",
                "MEMBERSHIP_NUMBER",
                "MOBILE_PHONE_NUMBER",
                "NORWEGIAN_BANKID_OTP",
                "NORWEGIAN_BANKID_PASSWORD",
                "NORWEGIAN_FULL_PERSONAL_NUMBER",
                "NORWEGIAN_PERSONAL_NUMBER",
                "NORWEGIAN_PHONE_NUMBER",
                "PASSWORD",
                "POSTCODE",
                "REGION",
                "SWEDISH_PERSONAL_NUMBER",
                "TRADE_UNION_MEMBERSHIP",
                "TWO_FACTOR_TOKEN",
                "UK_DATE_OF_BIRTH",
                "USERNAME"
              ],
              "example": "EMAIL",
              "type": "string"
            },
            "type": "array"
          }
        },
        "title": "CollectionStatusInformation"
      },
      "CompanyAvailability": {
        "discriminator": {
          "propertyName": "api"
        },
        "properties": {
          "additionalLoginInputs": {
            "description": "Additional input for login step",
            "items": {
              "$ref": "#/components/schemas/AdditionalLoginInput"
            },
            "type": "array",
            "uniqueItems": true
          },
          "availableCoverageScopes": {
            "description": "Set of available coverage types and subtypes for this company",
            "example": [
              {
                "insuranceSubType": "CAR_INSURANCE",
                "insuranceType": "VEHICLE_INSURANCE"
              }
            ],
            "items": {
              "$ref": "#/components/schemas/InsuranceTypeAndSubtype"
            },
            "type": "array",
            "uniqueItems": true
          },
          "companyAndLineOfBusinesses": {
            "description": "Available company and line of business for insurance pdf upload",
            "example": "UK_AXA_HOME",
            "items": {
              "enum": [
                "EE_SWEDBANK",
                "FR_ABEILLE_HOME",
                "FR_ABEILLE_VEHICLE",
                "FR_ALLIANZ_HOME",
                "FR_ALLIANZ_VEHICLE",
                "FR_ANIMAUXSANTE_HOME",
                "FR_ASSUR_OPOIL_ANIMAL",
                "FR_AXA_HOME",
                "FR_AXA_VEHICLE",
                "FR_AXA_GENERAL",
                "FR_BANQUE_POPULAIRE_HOME",
                "FR_BANQUE_POPULAIRE_VEHICLE",
                "FR_BULLE_BLEUE_HOME",
                "FR_CAISSE_DEPARGNE_HOME",
                "FR_CAISSE_DEPARGNE_VEHICLE",
                "FR_CARDIF_HOME",
                "FR_CREDIT_AGRICOLE_HOME",
                "FR_CREDIT_AGRICOLE_VEHICLE",
                "FR_CREDIT_MUTUEL_HOME",
                "FR_CREDIT_MUTUEL_VEHICLE",
                "FR_DEMO_HOME",
                "FR_DEMO_VEHICLE",
                "FR_DIRECT_ASSURANCE_HOME",
                "FR_DIRECT_ASSURANCE_VEHICLE",
                "FR_ECA_HOME",
                "FR_ECA_VEHICLE",
                "FR_ECA_ANIMAL",
                "FR_GENERALI_HOME",
                "FR_GENERALI_VEHICLE",
                "FR_GMF_HOME",
                "FR_GMF_VEHICLE",
                "FR_GROUPAMA_HOME",
                "FR_GROUPAMA_VEHICLE",
                "FR_LUKO_HOME",
                "FR_LOLIVIER_HOME",
                "FR_LOLIVIER_VEHICLE",
                "FR_LA_BANQUE_POSTALE_HOME",
                "FR_LA_BANQUE_POSTALE_VEHICLE",
                "FR_MAAF_HOME",
                "FR_MAAF_VEHICLE",
                "FR_MACIF_HOME",
                "FR_MACIF_VEHICLE",
                "FR_MAIF_HOME",
                "FR_MAIF_VEHICLE",
                "FR_MATMUT_HOME",
                "FR_MATMUT_VEHICLE",
                "FR_SOCIETE_GENERAL_INSURANCE_HOME",
                "FR_SOCIETE_GENERAL_INSURANCE_VEHICLE",
                "FR_MMA_HOME",
                "FR_MMA_VEHICLE",
                "FR_SANTEVET_HOME",
                "LT_BALCIA_HOME",
                "LT_COMPENSA_HOME",
                "LT_ERGO_HOME",
                "LT_GJENSIDIGE_HOME",
                "LT_IF_HOME",
                "LT_LIETUVOS_DRAUDIMAS_HOME",
                "LT_SWEDBANK_HOME",
                "LV_BALCIA_HOME",
                "LV_BALTA_HOME",
                "LV_COMPENSA_HOME",
                "LV_ERGO_HOME",
                "LV_GJENSIDIGE_HOME",
                "LV_IF_HOME",
                "LV_SWEDBANK_HOME",
                "SE_IF_VEHICLE",
                "SE_FOLKSAM_VEHICLE",
                "SE_LANSFORSAKRINGAR_HOME",
                "SE_PAYDRIVE_VEHICLE",
                "SE_SVEDEA_VEHICLE",
                "SE_VOLVIA_VEHICLE",
                "SE_BLIWA_ACCIDENT",
                "UK_AXA_HOME",
                "UK_AXA_VEHICLE",
                "UK_HASTINGS_DIRECT_HOME",
                "UK_HASTINGS_DIRECT_VEHICLE",
                "UK_POLICYEXPERT_HOME",
                "UK_POLICYEXPERT_VEHICLE",
                "UK_POST_OFFICE_HOME",
                "UK_THE_AA_HOME",
                "UK_THE_AA_VEHICLE",
                "UK_URBAN_JUNGLE_HOME",
                "FR_AXA_PERSON",
                "FR_ACHEEL_HOME",
                "FR_ACHEEL_VEHICLE",
                "FR_MALAKOFF_HUMANIS_HEALTH",
                "FR_HARMONIE_MUTUELLE_HEALTH",
                "FR_ALAN_HEALTH",
                "FR_AESIO_MUTUELLE_HEALTH",
                "FR_AG2R_LA_MONDIALE_HEALTH"
              ],
              "type": "string"
            },
            "type": "array",
            "uniqueItems": true
          },
          "companyLinks": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Company-specific links such as contact forms or other external resources",
            "example": "{'contactFormLink': 'https://example.com/contact-form'",
            "type": "object"
          },
          "consentRequirements": {
            "description": "The set of consents required for initiating collections from this company.",
            "items": {
              "$ref": "#/components/schemas/ConsentRequirement"
            },
            "type": "array",
            "uniqueItems": true
          },
          "functional": {
            "description": "Whether or not it is possible to collect data from the company currently",
            "example": false,
            "type": "boolean"
          },
          "insuranceCompany": {
            "description": "Insurance company name",
            "example": "uk-aviva",
            "minLength": 1,
            "type": "string"
          },
          "insuranceCompanyDisplayName": {
            "description": "Insurance company display name, for displaying to users.",
            "example": "Aviva",
            "minLength": 1,
            "type": "string"
          },
          "loginConfig": {
            "$ref": "#/components/schemas/CompanyLoginConfig",
            "description": "Configuration options for different login methods"
          },
          "loginMethods": {
            "description": "Available login methods for insurance company",
            "example": "USERNAME_AND_PASSWORD",
            "items": {
              "enum": [
                "DANISH_NEMID",
                "DANISH_MITID",
                "DANISH_MITID_SAME_DEVICE",
                "ESTONIAN_MOBILE_ID",
                "ESTONIAN_SMART_ID",
                "ESTONIAN_MOBILE_ID_USERNAME",
                "ESTONIAN_SMART_ID_USERNAME",
                "LATVIAN_MOBILE_EPARAKSTS",
                "LATVIAN_SMART_ID",
                "LATVIAN_MOBILE_EPARAKSTS_USERNAME",
                "LATVIAN_SMART_ID_USERNAME",
                "LITHUANIAN_SMART_ID",
                "LITHUANIAN_MOBILE_ID",
                "LITHUANIAN_SMART_ID_USERNAME",
                "LITHUANIAN_MOBILE_ID_USERNAME",
                "SMART_ID_SAME_DEVICE",
                "SMART_ID_OTHER_DEVICE",
                "SMART_ID_USERNAME_SAME_DEVICE",
                "SMART_ID_USERNAME_OTHER_DEVICE",
                "NORWEGIAN_BANKID_ON_MOBILE",
                "NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST",
                "SWEDISH_SECURITY_TOKEN",
                "UK_DOB_USERNAME_PASSWORD",
                "UK_LASTNAME_MEMBERSHIP_NUMBER",
                "UK_USERNAME_POSTCODE",
                "USERNAME_AND_PASSWORD",
                "EMAIL",
                "PDF_UPLOAD",
                "GERMAN_EID",
                "AUTHENTICATION_APP_URL",
                "MANUAL_SELECT",
                "API_KEY"
              ],
              "type": "string"
            },
            "type": "array",
            "uniqueItems": true
          },
          "nonFunctionalLoginMethods": {
            "description": "Disabled login methods for insurance company",
            "example": "USERNAME_AND_PASSWORD",
            "items": {
              "enum": [
                "DANISH_NEMID",
                "DANISH_MITID",
                "DANISH_MITID_SAME_DEVICE",
                "ESTONIAN_MOBILE_ID",
                "ESTONIAN_SMART_ID",
                "ESTONIAN_MOBILE_ID_USERNAME",
                "ESTONIAN_SMART_ID_USERNAME",
                "LATVIAN_MOBILE_EPARAKSTS",
                "LATVIAN_SMART_ID",
                "LATVIAN_MOBILE_EPARAKSTS_USERNAME",
                "LATVIAN_SMART_ID_USERNAME",
                "LITHUANIAN_SMART_ID",
                "LITHUANIAN_MOBILE_ID",
                "LITHUANIAN_SMART_ID_USERNAME",
                "LITHUANIAN_MOBILE_ID_USERNAME",
                "SMART_ID_SAME_DEVICE",
                "SMART_ID_OTHER_DEVICE",
                "SMART_ID_USERNAME_SAME_DEVICE",
                "SMART_ID_USERNAME_OTHER_DEVICE",
                "NORWEGIAN_BANKID_ON_MOBILE",
                "NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST",
                "SWEDISH_SECURITY_TOKEN",
                "UK_DOB_USERNAME_PASSWORD",
                "UK_LASTNAME_MEMBERSHIP_NUMBER",
                "UK_USERNAME_POSTCODE",
                "USERNAME_AND_PASSWORD",
                "EMAIL",
                "PDF_UPLOAD",
                "GERMAN_EID",
                "AUTHENTICATION_APP_URL",
                "MANUAL_SELECT",
                "API_KEY"
              ],
              "type": "string"
            },
            "type": "array",
            "uniqueItems": true
          },
          "notifications": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Company-specific notifications configuration",
            "example": "{'LOADING_SCREEN': 'SIGNIN_WARNING'}",
            "type": "object"
          },
          "reason": {
            "description": "Reason for data collection being non-functional at present",
            "enum": [
              "THIRD_PARTY_ERROR",
              "THIRD_PARTY_UPDATE",
              "INSURELY_ERROR",
              "INSURELY_UPDATE",
              "RECONSTRUCTION"
            ],
            "example": "THIRD_PARTY_ERROR",
            "type": "string"
          },
          "resetCredentials": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Reset links to reset credentials for insurance company",
            "example": "{'resetUsernameUrl': 'https://insurely.com/forgot-username', 'resetPasswordUrl': 'https://insurely.com/forgot-password'}",
            "type": "object"
          },
          "status": {
            "description": "Status indicating the quality of the data collection for this company. A company has status BETA until we can\nguarantee the data quality and stability of it, after which its status is set to OK. Once taken out of BETA\nit cannot be set to BETA again.\n",
            "enum": [
              "OK",
              "BETA",
              "NOT_IMPLEMENTED"
            ],
            "example": "OK",
            "type": "string"
          },
          "supportsPreheating": {
            "description": "Whether the company supports starting a collection without user input.\nRequires input to be passed in at a later stage through the supplemental-info endpoint.\n",
            "type": "boolean"
          }
        },
        "required": [
          "additionalLoginInputs",
          "availableCoverageScopes",
          "companyAndLineOfBusinesses",
          "consentRequirements",
          "functional",
          "insuranceCompany",
          "insuranceCompanyDisplayName",
          "loginMethods",
          "nonFunctionalLoginMethods",
          "status",
          "supportsPreheating"
        ]
      },
      "CompanyLoginConfig": {
        "properties": {
          "passwordFieldPlaceholder": {
            "enum": [
              "PASSWORD",
              "CONFIDENTIAL_CODE",
              "PERSONAL_CODE",
              "SECRET_CODE",
              "MEMBERSHIP_NUMBER",
              "PIN_OR_PASSWORD"
            ],
            "type": "string"
          },
          "passwordLabel": {
            "enum": [
              "PASSWORD",
              "CONFIDENTIAL_CODE",
              "PERSONAL_CODE",
              "SECRET_CODE",
              "MEMBERSHIP_NUMBER",
              "PIN_OR_PASSWORD"
            ],
            "type": "string"
          },
          "usernameFieldPlaceholder": {
            "enum": [
              "EMAIL",
              "IDENTIFICATION_NUMBER_11",
              "IDENTIFICATION_CHARACTERS_8",
              "EMAIL_MOBILE_MUTUAL_MEMBER",
              "EMAIL_MOBILE_CLIENT",
              "EMAIL_MUTUAL_OR_REGULAR_MEMBER",
              "EMAIL_MOBILE_CONTRACT",
              "EMAIL_OR_MEMBER",
              "CLIENT_NUMBER",
              "LAST_NAME"
            ],
            "type": "string"
          },
          "usernameLabel": {
            "enum": [
              "EMAIL",
              "USERNAME",
              "CLIENT_NUMBER",
              "LAST_NAME"
            ],
            "type": "string"
          }
        }
      },
      "ConsentRequestInput": {
        "description": "Represents a specific consent provided by the end user.",
        "properties": {
          "type": {
            "description": "The type of consent.",
            "enum": [
              "TRADE_UNION_MEMBERSHIP"
            ],
            "example": "TRADE_UNION_MEMBERSHIP",
            "type": "string"
          }
        },
        "required": [
          "type"
        ]
      },
      "ConsentRequirement": {
        "description": "The requirement for collect a specific consent.",
        "properties": {
          "method": {
            "description": "What method to use to collect the consent.",
            "enum": [
              "NONE",
              "NOTICE",
              "ACTIVE"
            ],
            "example": "ACTIVE",
            "type": "string"
          },
          "type": {
            "description": "The consent type.",
            "enum": [
              "TRADE_UNION_MEMBERSHIP"
            ],
            "example": "TRADE_UNION_MEMBERSHIP",
            "type": "string"
          }
        },
        "required": [
          "method",
          "type"
        ]
      },
      "Cookie": {
        "description": "A description of an HTTP cookie.",
        "properties": {
          "domain": {
            "description": "Domain of the cookie.",
            "example": ".insurely.com",
            "type": "string"
          },
          "httpOnly": {
            "description": "Whether the cookie is set to httpOnly or not.",
            "example": false,
            "type": "boolean"
          },
          "name": {
            "description": "Name of the cookie.",
            "example": "COOKIE_CONSENT",
            "type": "string"
          },
          "path": {
            "description": "Path of the cookie.",
            "example": "/",
            "type": "string"
          },
          "secure": {
            "description": "Whether the cookie is secure or not.",
            "example": true,
            "type": "boolean"
          },
          "value": {
            "description": "Value of the cookie.",
            "example": "1",
            "type": "string"
          }
        }
      },
      "CoreInsuranceCar": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Insurance"
          },
          {
            "$ref": "#/components/schemas/InsuranceCar"
          },
          {
            "properties": {
              "@market": {
                "$ref": "#/components/schemas/Market",
                "example": "core"
              }
            },
            "type": "object"
          }
        ],
        "description": "Car insurances are of insurance type `vehicleInsurance` with the subtype `carInsurance`",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceCar"
          },
          "propertyName": "insurance"
        },
        "required": [
          "externalId",
          "insuranceCompany",
          "insuranceSubType",
          "insuranceType"
        ],
        "title": "CoreInsuranceCar",
        "x-tag": "Insurance Type"
      },
      "CoreInsuranceHome": {
        "allOf": [
          {
            "$ref": "#/components/schemas/InsuranceHome"
          },
          {
            "properties": {
              "@market": {
                "$ref": "#/components/schemas/Market",
                "example": "core"
              },
              "coming": {
                "description": "If the insurance startDate is in the future given the current date of the data collection\n",
                "example": false,
                "type": "boolean"
              },
              "discountAmount": {
                "description": "Yearly discount amount in local currency",
                "example": 143,
                "format": "int32",
                "type": "integer"
              },
              "discountPercentage": {
                "description": "The discount percentage, represented as a string containing a number between 0 and 100. Null if not available.",
                "example": "10",
                "type": "string"
              },
              "endDate": {
                "description": "End date for the insurance",
                "example": "2023-12-31",
                "type": "string"
              },
              "externalId": {
                "description": "Unique identifier for a specific insurance within a collection.",
                "example": "a8a2d600-d314-4ef3-ade1-611c3b596296",
                "type": "string"
              },
              "insuranceCompany": {
                "$ref": "#/components/schemas/InsuranceCompany",
                "description": "Insurance company name",
                "example": "se-insurance-company"
              },
              "insuranceHolderCity": {
                "description": "City of residence of the insurance holder",
                "example": "Stockholm",
                "type": "string"
              },
              "insuranceHolderDateOfBirth": {
                "description": "The birth date of the insurance holder",
                "example": "1990-01-24",
                "type": "string"
              },
              "insuranceHolderEmail": {
                "description": "The email address of the insurance holder  - disabled by default\n",
                "example": "abc@insurely.com",
                "type": "string"
              },
              "insuranceHolderGender": {
                "description": "The gender of the insurance holder",
                "enum": [
                  "MALE",
                  "FEMALE",
                  "OTHER",
                  "UNKNOWN"
                ],
                "example": "MALE",
                "type": "string"
              },
              "insuranceHolderName": {
                "description": "Name of the insurance holder",
                "example": "Förnamn Efternamn",
                "type": "string"
              },
              "insuranceHolderOccupation": {
                "description": "The occupation of the insurance holder",
                "example": "Teacher",
                "type": "string"
              },
              "insuranceHolderPhoneNumber": {
                "description": "The phone number of the insurance holder - disabled by default\n",
                "example": "+01234567890",
                "type": "string"
              },
              "insuranceHolderPostalCode": {
                "description": "Postal code of the insurance holder",
                "example": "12345",
                "type": "string"
              },
              "insuranceHolderStreetAddress": {
                "description": "Street address of the insurance holder",
                "example": "Blåbärsvägen 1",
                "type": "string"
              },
              "insuranceName": {
                "description": "Name of insurance as stated by the insurance companies' systems",
                "example": "Content insurance",
                "type": "string"
              },
              "insuranceNumber": {
                "description": "Reference number for insurance at respective insurance company",
                "example": "123456-789",
                "type": "string"
              },
              "insuranceSubType": {
                "description": "Subtype of insurance",
                "example": "condoInsurance",
                "type": "string"
              },
              "insuranceType": {
                "description": "Type of insurance",
                "example": "houseContentInsurance",
                "type": "string"
              },
              "otherInsuranceHolder": {
                "description": "If the insurance holder is someone other than the person who is collecting the data",
                "example": false,
                "type": "boolean"
              },
              "paymentMethod": {
                "description": "Method of payment",
                "enum": [
                  "UNDEFINED",
                  "AUTOGIRO",
                  "PAPER_INVOICE",
                  "ELECTRONIC_INVOICE",
                  "GENERIC_INVOICE",
                  "ONE_TIME_PAYMENT",
                  "EMPLOYER_PAID",
                  "CREDIT_CARD"
                ],
                "example": "GENERIC_INVOICE",
                "type": "string"
              },
              "premium": {
                "$ref": "#/components/schemas/Premium",
                "description": "The premium the insurance holder has to pay."
              },
              "premiumAmountYearRounded": {
                "description": "Yearly premium after discounts rounded to nearest integer",
                "example": 2355,
                "format": "int32",
                "type": "integer"
              },
              "premiumFrequency": {
                "description": "\"Frequency of premium payments, possible values are:\n`1` - annually, `2` - biannually, `4` - quarterly,\n`12` - monthly, `0` - one time payment or `-1` - unknown\n",
                "example": 12,
                "format": "int32",
                "type": "integer"
              },
              "renewalDate": {
                "description": "Renewal date for the insurance",
                "example": "2020-01-01",
                "type": "string"
              },
              "startDate": {
                "description": "The start date of the insurance. Could be either original start date or period start date\n",
                "example": "2020-01-01",
                "type": "string"
              }
            },
            "type": "object"
          }
        ],
        "description": "Home insurances are of insurance type `houseContentInsurance` and subtype `condoInsurance`\n",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceHome"
          },
          "propertyName": "insurance"
        },
        "required": [
          "externalId",
          "insuranceCompany",
          "insuranceSubType",
          "insuranceType"
        ],
        "x-tag": "Insurance Type"
      },
      "CoreInsuranceOtherVehicle": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Insurance"
          },
          {
            "$ref": "#/components/schemas/InsuranceOtherVehicle"
          },
          {
            "properties": {
              "@market": {
                "$ref": "#/components/schemas/Market",
                "example": "core"
              }
            },
            "type": "object"
          }
        ],
        "description": "Other vehicle insurances are of insurance type `vehicleInsurance` with the following possible subtypes:\n* `boatInsurance`\n* `caravanInsurance`\n* `mopedInsurance`\n* `motorHomeInsurance`\n* `motorcycleInsurance`\n* `otherVehicleInsurance`\n* `trailerInsurance`\n",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceOtherVehicle"
          },
          "propertyName": "insurance"
        },
        "required": [
          "externalId",
          "insuranceCompany",
          "insuranceSubType",
          "insuranceType"
        ],
        "title": "CoreInsuranceOtherVehicle",
        "x-tag": "Insurance Type"
      },
      "CoreInsuranceVilla": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Insurance"
          },
          {
            "$ref": "#/components/schemas/InsuranceVilla"
          },
          {
            "properties": {
              "@market": {
                "$ref": "#/components/schemas/Market",
                "example": "core"
              },
              "additionalBuildings": {
                "description": "Information about any additional buildings on the property",
                "items": {
                  "$ref": "#/components/schemas/AdditionalBuilding"
                },
                "type": "array"
              },
              "coming": {
                "description": "If the insurance startDate is in the future given the current date of the data collection\n",
                "example": false,
                "type": "boolean"
              },
              "discountAmount": {
                "description": "Yearly discount amount in local currency",
                "example": 143,
                "format": "int32",
                "type": "integer"
              },
              "discountPercentage": {
                "description": "The discount percentage, represented as a string containing a number between 0 and 100. Null if not available.",
                "example": "10",
                "type": "string"
              },
              "endDate": {
                "description": "End date for the insurance",
                "example": "2023-12-31",
                "type": "string"
              },
              "externalId": {
                "description": "Unique identifier for a specific insurance within a collection.",
                "example": "a8a2d600-d314-4ef3-ade1-611c3b596296",
                "type": "string"
              },
              "hasBasement": {
                "description": "Whether the residence has a basement.",
                "example": true,
                "type": "boolean"
              },
              "insuranceCompany": {
                "$ref": "#/components/schemas/InsuranceCompany",
                "description": "Insurance company name",
                "example": "se-insurance-company"
              },
              "insuranceHolderCity": {
                "description": "City of residence of the insurance holder",
                "example": "Stockholm",
                "type": "string"
              },
              "insuranceHolderDateOfBirth": {
                "description": "The birth date of the insurance holder",
                "example": "1990-01-24",
                "type": "string"
              },
              "insuranceHolderEmail": {
                "description": "The email address of the insurance holder  - disabled by default\n",
                "example": "abc@insurely.com",
                "type": "string"
              },
              "insuranceHolderGender": {
                "description": "The gender of the insurance holder",
                "enum": [
                  "MALE",
                  "FEMALE",
                  "OTHER",
                  "UNKNOWN"
                ],
                "example": "MALE",
                "type": "string"
              },
              "insuranceHolderName": {
                "description": "Name of the insurance holder",
                "example": "Förnamn Efternamn",
                "type": "string"
              },
              "insuranceHolderOccupation": {
                "description": "The occupation of the insurance holder",
                "example": "Teacher",
                "type": "string"
              },
              "insuranceHolderPhoneNumber": {
                "description": "The phone number of the insurance holder - disabled by default\n",
                "example": "+01234567890",
                "type": "string"
              },
              "insuranceHolderPostalCode": {
                "description": "Postal code of the insurance holder",
                "example": "12345",
                "type": "string"
              },
              "insuranceHolderStreetAddress": {
                "description": "Street address of the insurance holder",
                "example": "Blåbärsvägen 1",
                "type": "string"
              },
              "insuranceName": {
                "description": "Name of insurance as stated by the insurance companies' systems",
                "example": "Content insurance",
                "type": "string"
              },
              "insuranceNumber": {
                "description": "Reference number for insurance at respective insurance company",
                "example": "123456-789",
                "type": "string"
              },
              "insuranceObjectPropertyCode": {
                "description": "Property code of the insured object",
                "example": "Blueberry 1:10",
                "type": "string"
              },
              "insuranceSubType": {
                "description": "Subtype of insurance",
                "example": "condoInsurance",
                "type": "string"
              },
              "insuranceType": {
                "description": "Type of insurance",
                "example": "houseContentInsurance",
                "type": "string"
              },
              "numberOfBathrooms": {
                "description": "Number of bathrooms in the residence.",
                "example": 3,
                "format": "int32",
                "type": "integer"
              },
              "numberOfFloors": {
                "description": "Number of floors in the residence.",
                "example": 4,
                "format": "int32",
                "type": "integer"
              },
              "numberOfToilets": {
                "description": "Number of toilets in the residence.",
                "example": 4,
                "format": "int32",
                "type": "integer"
              },
              "otherInsuranceHolder": {
                "description": "If the insurance holder is someone other than the person who is collecting the data",
                "example": false,
                "type": "boolean"
              },
              "paymentMethod": {
                "description": "Method of payment",
                "enum": [
                  "UNDEFINED",
                  "AUTOGIRO",
                  "PAPER_INVOICE",
                  "ELECTRONIC_INVOICE",
                  "GENERIC_INVOICE",
                  "ONE_TIME_PAYMENT",
                  "EMPLOYER_PAID",
                  "CREDIT_CARD"
                ],
                "example": "GENERIC_INVOICE",
                "type": "string"
              },
              "premium": {
                "$ref": "#/components/schemas/Premium",
                "description": "The premium the insurance holder has to pay."
              },
              "premiumAmountYearRounded": {
                "description": "Yearly premium after discounts rounded to nearest integer",
                "example": 2355,
                "format": "int32",
                "type": "integer"
              },
              "premiumFrequency": {
                "description": "\"Frequency of premium payments, possible values are:\n`1` - annually, `2` - biannually, `4` - quarterly,\n`12` - monthly, `0` - one time payment or `-1` - unknown\n",
                "example": 12,
                "format": "int32",
                "type": "integer"
              },
              "purchaseYear": {
                "description": "The year the residence was purchased.",
                "example": "1995",
                "type": "string"
              },
              "renewalDate": {
                "description": "Renewal date for the insurance",
                "example": "2020-01-01",
                "type": "string"
              },
              "rental": {
                "description": "Whether the insurance holder rents the residence.",
                "example": false,
                "type": "boolean"
              },
              "startDate": {
                "description": "The start date of the insurance. Could be either original start date or period start date\n",
                "example": "2020-01-01",
                "type": "string"
              }
            },
            "type": "object"
          }
        ],
        "description": "Villa insurances are of insurance type `houseContentInsurance` and subtype `villaInsurance`\n",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceVilla"
          },
          "propertyName": "insurance"
        },
        "required": [
          "externalId",
          "insuranceCompany",
          "insuranceSubType",
          "insuranceType"
        ],
        "x-tag": "Insurance Type"
      },
      "CoverageCompany": {
        "enum": [
          "se-agria",
          "se-akademikerforsakring",
          "se-atlantica",
          "se-demo",
          "se-demo-two",
          "se-demo-four",
          "se-bliwa",
          "se-dina",
          "se-dunstan",
          "se-euroaccident",
          "se-folksam",
          "se-gjensidige",
          "se-gofido",
          "se-hedvig",
          "se-ica",
          "se-if",
          "se-lansforsakringar",
          "se-lassie",
          "se-manypets",
          "se-moderna",
          "se-movestic",
          "se-skandia",
          "se-spp",
          "se-svedea",
          "se-trekronor",
          "se-trygg-hansa",
          "se-volvia",
          "se-paydrive",
          "se-sveland",
          "se-leaky",
          "se-watercircles",
          "se-sensor",
          "se-soderberg-partners",
          "se-villaagarna",
          "se-lf-alvsborg",
          "se-lf-bergslagen",
          "se-lf-blekinge",
          "se-lf-dalarna",
          "se-lf-goteborg-bohuslan",
          "se-lf-goinge-kristianstad",
          "se-lf-gotland",
          "se-lf-gavleborg",
          "se-lf-halland",
          "se-lf-jamtland",
          "se-lf-jonkoping",
          "se-lf-norrbotten",
          "se-lf-ostgota",
          "se-lf-kalmar",
          "se-lf-kronoberg",
          "se-lf-stockholm",
          "se-lf-sormland",
          "se-lf-skane",
          "se-lf-skaraborg",
          "se-lf-uppsala",
          "se-lf-varmland",
          "se-lf-vasterbotten",
          "se-lf-vasternorrland",
          "se-if-volkswagen",
          "se-if-subaru",
          "se-if-skoda",
          "se-if-seat",
          "se-if-renault",
          "se-if-porsche",
          "se-if-polestar",
          "se-if-nissan",
          "se-if-mg",
          "se-if-mercedes",
          "se-if-kia",
          "se-if-isuzu",
          "se-if-ford",
          "se-if-dacia",
          "se-if-cupra",
          "se-if-audi",
          "no-demo",
          "no-eika",
          "no-frende",
          "no-gjensidige",
          "no-if",
          "no-sparebank1",
          "no-tryg",
          "dk-alka",
          "dk-almbrand",
          "dk-bauta",
          "dk-codan",
          "dk-demo",
          "dk-fdm",
          "dk-gfforsikring",
          "dk-gjensidige",
          "dk-ida",
          "dk-if",
          "dk-lb",
          "dk-lbforsikringpfa",
          "dk-runa",
          "dk-tjm",
          "dk-topdanmark",
          "dk-tryg",
          "uk-aa",
          "uk-admiral",
          "uk-animalfriends",
          "uk-axa",
          "uk-axa-vehicle",
          "uk-aviva",
          "uk-barclays",
          "uk-manypets",
          "uk-churchill",
          "uk-demo",
          "uk-natwest",
          "uk-directline",
          "uk-halifax",
          "uk-hastings-direct",
          "uk-john-lewis-home",
          "uk-lv",
          "uk-morethan-home",
          "uk-onecall",
          "uk-petplan",
          "uk-policyexpert-home",
          "uk-policyexpert-vehicle",
          "uk-postoffice",
          "uk-privilege",
          "uk-rac",
          "uk-saga",
          "uk-sainsburys",
          "uk-sainsburys-pet",
          "uk-sheilaswheels",
          "uk-sosure",
          "uk-swinton",
          "uk-tesco",
          "uk-urbanjungle",
          "uk-waggel",
          "ee-balcia",
          "ee-bta",
          "ee-demo",
          "ee-demo-two",
          "ee-elama",
          "ee-ergo",
          "ee-gjensidige",
          "ee-if",
          "ee-pzu",
          "ee-salva",
          "ee-seesam",
          "ee-swedbank",
          "ee-lhv",
          "es-mapfre",
          "es-demo",
          "fr-abeille",
          "fr-acheel",
          "fr-allianz",
          "fr-amundi",
          "fr-animauxsante",
          "fr-assur-opoil",
          "fr-axa",
          "fr-bred",
          "fr-bred-wealth",
          "fr-bulle-bleue",
          "fr-bnp-paribas",
          "fr-cardif",
          "fr-credit-agricole",
          "fr-credit-mutuel",
          "fr-dalma",
          "fr-demo",
          "fr-demo-info-retraite",
          "fr-demo-preheat",
          "fr-eca",
          "fr-finary-wealth",
          "fr-generali",
          "fr-gmf",
          "fr-groupama",
          "fr-hello-bank",
          "fr-la-banque-postale",
          "fr-la-banque-postale-wealth",
          "fr-lemonade",
          "fr-luko",
          "fr-lcl-assurances",
          "fr-maaf",
          "fr-macif",
          "fr-matmut",
          "fr-maif",
          "fr-mma",
          "fr-santevet",
          "fr-lolivier",
          "fr-caisse-depargne",
          "fr-caisse-depargne-wealth",
          "fr-banque-populaire",
          "fr-banque-populaire-wealth",
          "fr-mobilize",
          "fr-direct-assurance",
          "fr-harmonie-mutuelle",
          "fr-malakoff-humanis",
          "fr-alan",
          "fr-aesio-mutuelle",
          "fr-ag2r-la-mondiale",
          "fr-bourso-bank",
          "fr-bnp-paribas-wealth",
          "fr-credit-agricole-wealth",
          "fr-cardif-wealth",
          "fr-generali-wealth",
          "fr-cnp",
          "fr-allianz-wealth",
          "fr-groupama-wealth",
          "fr-n26",
          "fr-axa-wealth",
          "fr-fortuneo",
          "fr-credit-mutuel-wealth",
          "fr-ag2r-la-mondiale-wealth",
          "fr-societe-generale-insurance",
          "lv-balcia",
          "lv-balta",
          "lv-ban",
          "lv-bta",
          "lv-compensa",
          "lv-demo",
          "lv-ergo",
          "lv-gjensidige",
          "lv-if",
          "lv-luminor",
          "lv-seb",
          "lv-swedbank",
          "lt-demo",
          "lt-demo-two",
          "lt-gjensidige",
          "lt-swedbank",
          "lt-ergo",
          "lt-balcia",
          "lt-compensa",
          "lt-if",
          "lt-lietuvos-draudimas"
        ],
        "type": "string"
      },
      "CoverageParameterValueDeductible": {
        "description": "The amount that you have to pay yourself in the event of a claim.",
        "discriminator": {
          "propertyName": "insurance-parameters"
        },
        "properties": {
          "deductibleType": {
            "description": "How the deductible should be interpreted:\n- **amount**: A fixed monetary deductible.\n- **general**: A deductible that follows the insurer’s standard rules for this coverage type.The value may be the contract’s default deductible or a personalised override.\n- **not-applicable**: The deductible does not apply for the coverage.\n- **complex**: A deductible defined by a formula.",
            "enum": [
              "amount",
              "complex",
              "general",
              "not-applicable"
            ],
            "example": "amount",
            "title": "Coverage Parameter Value Deductible Type",
            "type": "string"
          },
          "description": {
            "description": "How the deductible applies, such as conditions, exceptions, or cases where no deductible is charged.",
            "example": "Except for bodily injury",
            "type": "string"
          },
          "displayValue": {
            "description": "The personalised deductible amount, if available for the policy,else this will match `originalDisplayValue`.",
            "example": "500",
            "type": "string"
          },
          "originalDisplayValue": {
            "description": "The deductible value defined by the insurer’s standard contract terms.",
            "example": "750",
            "type": "string"
          },
          "personalised": {
            "description": "Indicates whether the deductible reflects a personalised amount for the specific policy.",
            "example": false,
            "type": "boolean"
          }
        },
        "title": "Coverage Parameter Value Deductible"
      },
      "CoverageParameterValueLimit": {
        "description": "The maximum amount that can be paid out in the event of a claim.",
        "discriminator": {
          "propertyName": "insurance-parameters"
        },
        "properties": {
          "description": {
            "description": "The longer explanation of what the limit is.",
            "example": "20% of the insured amount",
            "type": "string"
          },
          "displayValue": {
            "description": "The formatted and translated value of the limit.",
            "example": "Complex",
            "type": "string"
          },
          "limitType": {
            "description": "The type of the limit.",
            "enum": [
              "amount",
              "complex",
              "full-value",
              "no-limit",
              "not-applicable"
            ],
            "example": "full-value",
            "title": "Coverage Parameter Value Limit Type",
            "type": "string"
          }
        },
        "title": "Coverage Parameter Limit"
      },
      "CoveragePolicyData": {
        "properties": {
          "insuredMovablesAmount": {
            "description": "Limit for the movable objects in the home",
            "example": 1500000,
            "format": "int32",
            "type": "integer"
          },
          "label": {
            "description": "Used to indicate if the policy is a if branded insurance",
            "example": "branded-insurance",
            "type": "string"
          },
          "otherInsuranceHolder": {
            "description": "If the holder of the insurance policy is not the current user",
            "type": "boolean"
          },
          "ownershipStatus": {
            "description": "Status of the ownership, Only used in the french market",
            "enum": [
              "OWNER",
              "TENANT",
              "SECONDARY_TENANT",
              "UNKNOWN"
            ],
            "type": "string"
          },
          "region": {
            "description": "Region if the company has regional companies within it",
            "example": "LF Stockholm",
            "type": "string"
          },
          "residentialStatus": {
            "description": "Status of the residency, Only used in the french market",
            "enum": [
              "PRIMARY_RESIDENCE",
              "SECONDARY_RESIDENCE",
              "RENTAL_RESIDENCE",
              "UNKNOWN"
            ],
            "type": "string"
          },
          "vehicleBrand": {
            "description": "Vehicle brand if it's a branded car insurance",
            "type": "string"
          },
          "versionId": {
            "description": "Id of the version for the coverage requested",
            "examples": [
              "2023-02-10",
              "A300/2022"
            ],
            "type": "string"
          }
        }
      },
      "Deductible": {
        "description": "A specific deductible with its amount value for a specific insurance. The deductibleIds can be used for looking up when using the API, while the names might be localized in a way that makes them hard to use. The amount value is in the same currency as the insurance. The list relates to reference for possible values of the IDs for different insurance types.",
        "discriminator": {
          "propertyName": "insurance-parameters"
        },
        "properties": {
          "deductibleAmount": {
            "description": "The deductible amount in local currency or percent",
            "example": 1500,
            "format": "int32",
            "type": "integer"
          },
          "deductibleId": {
            "description": "The technical name of the deductible, standardized across different companies.",
            "example": "deductibleFixed",
            "type": "string"
          },
          "deductibleName": {
            "description": "Localized name of the deductible, can be used as display name.",
            "example": "Fixed deductible",
            "type": "string"
          }
        },
        "title": "Insurance Deductible"
      },
      "Document": {
        "description": "A document associated with a policy.",
        "discriminator": {
          "propertyName": "insurance-parameters"
        },
        "properties": {
          "id": {
            "description": "An id uniquely identifying a document within a policy and collection.",
            "example": "5c7e3f0c-62ec-46cd-8d86-12b05ed654d1",
            "type": "string"
          },
          "type": {
            "description": "The type of the document.",
            "example": "INSURANCE_LETTER",
            "type": "string"
          }
        },
        "title": "Document"
      },
      "ErrorResponse": {
        "description": "Standard error response returned by the API when a request fails.",
        "properties": {
          "errors": {
            "description": "Field-level validation errors, empty when not applicable.",
            "items": {
              "$ref": "#/components/schemas/InsurelyInputError"
            },
            "type": "array"
          },
          "localizedMessage": {
            "description": "Localized version of the error message, if available.",
            "example": "Invalid request",
            "type": "string"
          },
          "message": {
            "description": "Human-readable error message.",
            "example": "Invalid request",
            "type": "string"
          },
          "status": {
            "description": "HTTP status name.",
            "example": "BAD_REQUEST",
            "type": "string"
          },
          "statusCode": {
            "description": "HTTP status code.",
            "example": 400,
            "format": "int32",
            "type": "integer"
          }
        }
      },
      "EstonianInsurance": {
        "discriminator": {
          "mapping": {
            "hidden": "#/components/schemas/EstonianInsurance"
          },
          "propertyName": "insurance"
        },
        "properties": {
          "@market": {
            "$ref": "#/components/schemas/Market"
          },
          "insuranceCompanyRegistrationCode": {
            "description": "Insurance company registration code.",
            "example": "12345678",
            "type": "string"
          }
        },
        "title": "EstonianInsurance",
        "x-markets": {
          "ee": true
        }
      },
      "EstonianInsuranceCar": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Insurance"
          },
          {
            "$ref": "#/components/schemas/EstonianInsurance"
          },
          {
            "$ref": "#/components/schemas/InsuranceCar"
          },
          {
            "properties": {
              "@market": {
                "$ref": "#/components/schemas/Market",
                "example": "ee"
              },
              "insuranceBeneficiaryCode": {
                "description": "Personal or company code of the insurance beneficiary",
                "example": "01234567890",
                "type": "string"
              },
              "insuranceBeneficiaryName": {
                "description": "Name of the insurance beneficiary",
                "example": "John Doe",
                "type": "string"
              },
              "insuranceCompanyRegistrationCode": {
                "description": "Insurance company registration code.",
                "example": "12345678",
                "type": "string"
              },
              "insuranceHolderCompanyCode": {
                "description": "Company code of the insurance holder",
                "example": "12345678",
                "type": "string"
              },
              "insuranceHolderPersonalCode": {
                "description": "Personal code of the insurance holder",
                "example": "1234567890",
                "type": "string"
              },
              "insuranceInsuredPersonCode": {
                "description": "Code of the insured person or company",
                "example": "90123456789",
                "type": "string"
              },
              "insuranceInsuredPersonName": {
                "description": "Name of the insured person or company",
                "example": "Johny Doe",
                "type": "string"
              }
            },
            "type": "object"
          }
        ],
        "description": "Estonian car insurances are of insurance type `vehicleInsurance` with the subtype `carInsurance`, containing additional fields relevant for the Estonian market\n",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceCar"
          },
          "propertyName": "insurance"
        },
        "required": [
          "externalId",
          "insuranceCompany",
          "insuranceSubType",
          "insuranceType"
        ],
        "title": "EstonianInsuranceCar",
        "x-tag": "Insurance Type"
      },
      "FarmProperty": {
        "description": "An additional property included in the `farmInsurance`.",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceFarm"
          },
          "propertyName": "insurance"
        },
        "properties": {
          "buildingType": {
            "description": "The type of the additional building.",
            "enum": [
              "BARN",
              "STABLE",
              "LOG_CABIN",
              "MACHINE_HALL",
              "UNKNOWN"
            ],
            "example": "BARN",
            "type": "string"
          }
        },
        "title": "Farm property"
      },
      "FrenchDriverInformation": {
        "description": "Information about a driver registered on a French vehicle insurance policy",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/FrenchInsuranceVehicle"
          },
          "propertyName": "insurance"
        },
        "properties": {
          "@market": {
            "$ref": "#/components/schemas/Market",
            "example": "fr"
          },
          "birthDate": {
            "description": "The birth date of the driver",
            "example": "1999-12-31",
            "type": "string"
          },
          "licenseIssuingDate": {
            "description": "The issuing date of the driver's license",
            "example": "2008-12-21",
            "type": "string"
          },
          "name": {
            "description": "The name of the driver",
            "example": "Cornélie Boivin",
            "type": "string"
          }
        },
        "title": "FrenchDriverInformation"
      },
      "FrenchInsurance": {
        "discriminator": {
          "mapping": {
            "hidden": "#/components/schemas/FrenchInsurance"
          },
          "propertyName": "insurance"
        },
        "properties": {
          "@market": {
            "$ref": "#/components/schemas/Market",
            "example": "fr"
          },
          "claims": {
            "$ref": "#/components/schemas/Claims",
            "description": "Enabled by feature flag"
          },
          "insuranceHolderDateOfBirth": {
            "description": "The birthdate of the insurance holder",
            "example": "1999-12-31",
            "type": "string"
          },
          "insuranceHolderEmail": {
            "description": "The email of the insurance holder.",
            "example": "example@insurely.com",
            "type": "string"
          },
          "insuranceHolderGender": {
            "description": "The biological sex of the insurance holder.",
            "enum": [
              "MALE",
              "FEMALE",
              "OTHER",
              "UNKNOWN"
            ],
            "example": "FEMALE",
            "type": "string"
          },
          "insuranceHolderOccupation": {
            "description": "The occupation of the insurance holder.",
            "example": "Software Engineer",
            "type": "string"
          },
          "insuranceHolderPhoneNumber": {
            "description": "The phone number of the insurance holder.",
            "example": "+33 93 233 8246",
            "type": "string"
          },
          "policyHolder": {
            "$ref": "#/components/schemas/PolicyHolder",
            "description": "Information about the policy holder"
          },
          "termsAndConditionsVersion": {
            "$ref": "#/components/schemas/TermsAndConditionsVersion"
          }
        },
        "title": "FrenchInsurance",
        "x-markets": {
          "fr": true
        }
      },
      "FrenchInsuranceCar": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Insurance"
          },
          {
            "$ref": "#/components/schemas/FrenchInsurance"
          },
          {
            "$ref": "#/components/schemas/FrenchInsuranceVehicle"
          },
          {
            "$ref": "#/components/schemas/InsuranceCar"
          },
          {
            "properties": {
              "@market": {
                "$ref": "#/components/schemas/Market",
                "example": "fr"
              },
              "bonusMalus": {
                "$ref": "#/components/schemas/BonusMalus"
              },
              "claims": {
                "$ref": "#/components/schemas/Claims",
                "description": "Enabled by feature flag"
              },
              "insuranceHolderDateOfBirth": {
                "description": "The birthdate of the insurance holder",
                "example": "1999-12-31",
                "type": "string"
              },
              "insuranceHolderEmail": {
                "description": "The email of the insurance holder.",
                "example": "example@insurely.com",
                "type": "string"
              },
              "insuranceHolderGender": {
                "description": "The biological sex of the insurance holder.",
                "enum": [
                  "MALE",
                  "FEMALE",
                  "OTHER",
                  "UNKNOWN"
                ],
                "example": "FEMALE",
                "type": "string"
              },
              "insuranceHolderOccupation": {
                "description": "The occupation of the insurance holder.",
                "example": "Software Engineer",
                "type": "string"
              },
              "insuranceHolderPhoneNumber": {
                "description": "The phone number of the insurance holder.",
                "example": "+33 93 233 8246",
                "type": "string"
              },
              "parking": {
                "$ref": "#/components/schemas/FrenchParkingLocation",
                "description": "Details about the parking location of the vehicle covered by the insurance policy"
              },
              "policyHolder": {
                "$ref": "#/components/schemas/FrenchPolicyHolder",
                "description": "Information about the policy holder"
              },
              "primaryDriver": {
                "$ref": "#/components/schemas/FrenchDriverInformation",
                "description": "The primary driver registered on the insurance policy"
              },
              "secondaryDrivers": {
                "description": "Any additional drivers registered on the insurance policy",
                "items": {
                  "$ref": "#/components/schemas/FrenchDriverInformation"
                },
                "type": "array",
                "uniqueItems": true
              },
              "termsAndConditionsVersion": {
                "$ref": "#/components/schemas/TermsAndConditionsVersion"
              },
              "usagePurposes": {
                "description": "Which purposes the vehicle is covered for",
                "items": {
                  "description": "A purpose for which the vehicle is used",
                  "enum": [
                    "PRIVATE",
                    "COMMUTING",
                    "WORK"
                  ],
                  "example": "COMMUTING",
                  "type": "string"
                },
                "type": "array",
                "uniqueItems": true
              }
            },
            "type": "object"
          }
        ],
        "description": "French car insurances are of insurance type `vehicleInsurance` with the subtype `carInsurance`, containing additional fields relevant for the French market\n",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceCar"
          },
          "propertyName": "insurance"
        },
        "required": [
          "externalId",
          "insuranceCompany",
          "insuranceSubType",
          "insuranceType"
        ],
        "title": "FrenchInsuranceCar",
        "x-tag": "Insurance Type"
      },
      "FrenchInsuranceHome": {
        "allOf": [
          {
            "$ref": "#/components/schemas/InsuranceHome"
          },
          {
            "properties": {
              "@market": {
                "$ref": "#/components/schemas/Market",
                "example": "fr"
              },
              "additionalAmenities": {
                "description": "Which amenities are available in the home.",
                "example": "FIREPLACE",
                "items": {
                  "enum": [
                    "FIREPLACE",
                    "POOL",
                    "GARDEN"
                  ],
                  "type": "string"
                },
                "type": "array",
                "uniqueItems": true
              },
              "claims": {
                "$ref": "#/components/schemas/Claims",
                "description": "Enabled by feature flag"
              },
              "coming": {
                "description": "If the insurance startDate is in the future given the current date of the data collection\n",
                "example": false,
                "type": "boolean"
              },
              "discountAmount": {
                "description": "Yearly discount amount in local currency",
                "example": 143,
                "format": "int32",
                "type": "integer"
              },
              "discountPercentage": {
                "description": "The discount percentage, represented as a string containing a number between 0 and 100. Null if not available.",
                "example": "10",
                "type": "string"
              },
              "endDate": {
                "description": "End date for the insurance",
                "example": "2023-12-31",
                "type": "string"
              },
              "externalId": {
                "description": "Unique identifier for a specific insurance within a collection.",
                "example": "a8a2d600-d314-4ef3-ade1-611c3b596296",
                "type": "string"
              },
              "floor": {
                "description": "The category of floor the home is located on,",
                "enum": [
                  "GROUND_FLOOR",
                  "COURTYARD",
                  "INTERMEDIATE_FLOOR",
                  "TOP_FLOOR",
                  "UNKNOWN"
                ],
                "example": "TOP_FLOOR",
                "type": "string"
              },
              "insuranceCompany": {
                "$ref": "#/components/schemas/InsuranceCompany",
                "description": "Insurance company name",
                "example": "se-insurance-company"
              },
              "insuranceHolderCity": {
                "description": "City of residence of the insurance holder",
                "example": "Stockholm",
                "type": "string"
              },
              "insuranceHolderDateOfBirth": {
                "description": "The birthdate of the insurance holder",
                "example": "1999-12-31",
                "type": "string"
              },
              "insuranceHolderEmail": {
                "description": "The email of the insurance holder.",
                "example": "example@insurely.com",
                "type": "string"
              },
              "insuranceHolderGender": {
                "description": "The biological sex of the insurance holder.",
                "enum": [
                  "MALE",
                  "FEMALE",
                  "OTHER",
                  "UNKNOWN"
                ],
                "example": "FEMALE",
                "type": "string"
              },
              "insuranceHolderName": {
                "description": "Name of the insurance holder",
                "example": "Förnamn Efternamn",
                "type": "string"
              },
              "insuranceHolderOccupation": {
                "description": "The occupation of the insurance holder.",
                "example": "Software Engineer",
                "type": "string"
              },
              "insuranceHolderPhoneNumber": {
                "description": "The phone number of the insurance holder.",
                "example": "+33 93 233 8246",
                "type": "string"
              },
              "insuranceHolderPostalCode": {
                "description": "Postal code of the insurance holder",
                "example": "12345",
                "type": "string"
              },
              "insuranceHolderStreetAddress": {
                "description": "Street address of the insurance holder",
                "example": "Blåbärsvägen 1",
                "type": "string"
              },
              "insuranceName": {
                "description": "Name of insurance as stated by the insurance companies' systems",
                "example": "Content insurance",
                "type": "string"
              },
              "insuranceNumber": {
                "description": "Reference number for insurance at respective insurance company",
                "example": "123456-789",
                "type": "string"
              },
              "insurancePreviouslyRefused": {
                "description": "Whether insurance coverage has been refused for this person.",
                "example": false,
                "type": "boolean"
              },
              "insuranceSubType": {
                "description": "Subtype of insurance",
                "example": "condoInsurance",
                "type": "string"
              },
              "insuranceType": {
                "description": "Type of insurance",
                "example": "houseContentInsurance",
                "type": "string"
              },
              "insuredValuablesAmount": {
                "description": "Maximum compensation for valuable property.",
                "example": 85000,
                "format": "double",
                "type": "number"
              },
              "numberOfAdults": {
                "description": "The number of adults residing in the home.",
                "example": 2,
                "format": "int32",
                "type": "integer"
              },
              "numberOfChildren": {
                "description": "The number of children residing in the home.",
                "example": 2,
                "format": "int32",
                "type": "integer"
              },
              "numberOfRooms": {
                "description": "The number of rooms in the home.",
                "example": 4,
                "format": "int32",
                "type": "integer"
              },
              "otherInsuranceHolder": {
                "description": "If the insurance holder is someone other than the person who is collecting the data",
                "example": false,
                "type": "boolean"
              },
              "outbuildingsTotalArea": {
                "$ref": "#/components/schemas/FrenchOutbuildingsTotalArea",
                "description": "The total surface area of outbuildings."
              },
              "ownershipStatus": {
                "description": "Whether the home is owned by the insurance holder.",
                "enum": [
                  "OWNER",
                  "TENANT",
                  "SECONDARY_TENANT",
                  "UNKNOWN"
                ],
                "example": "OWNER",
                "type": "string"
              },
              "paymentMethod": {
                "description": "Method of payment",
                "enum": [
                  "UNDEFINED",
                  "AUTOGIRO",
                  "PAPER_INVOICE",
                  "ELECTRONIC_INVOICE",
                  "GENERIC_INVOICE",
                  "ONE_TIME_PAYMENT",
                  "EMPLOYER_PAID",
                  "CREDIT_CARD"
                ],
                "example": "GENERIC_INVOICE",
                "type": "string"
              },
              "policyHolder": {
                "$ref": "#/components/schemas/FrenchPolicyHolder",
                "description": "Information about the policy holder"
              },
              "premium": {
                "$ref": "#/components/schemas/Premium",
                "description": "The premium the insurance holder has to pay."
              },
              "premiumAmountYearRounded": {
                "description": "Yearly premium after discounts rounded to nearest integer",
                "example": 2355,
                "format": "int32",
                "type": "integer"
              },
              "premiumFrequency": {
                "description": "\"Frequency of premium payments, possible values are:\n`1` - annually, `2` - biannually, `4` - quarterly,\n`12` - monthly, `0` - one time payment or `-1` - unknown\n",
                "example": 12,
                "format": "int32",
                "type": "integer"
              },
              "professionalUsage": {
                "description": "Whether the property is used for business purposes.",
                "example": false,
                "type": "boolean"
              },
              "renewalDate": {
                "description": "Renewal date for the insurance",
                "example": "2020-01-01",
                "type": "string"
              },
              "residentialStatus": {
                "description": "Who resides in the home.",
                "enum": [
                  "PRIMARY_RESIDENCE",
                  "SECONDARY_RESIDENCE",
                  "RENTAL_RESIDENCE",
                  "UNKNOWN"
                ],
                "example": "PRIMARY_RESIDENCE",
                "type": "string"
              },
              "startDate": {
                "description": "The start date of the insurance. Could be either original start date or period start date\n",
                "example": "2020-01-01",
                "type": "string"
              },
              "termsAndConditionsVersion": {
                "$ref": "#/components/schemas/TermsAndConditionsVersion"
              }
            },
            "type": "object"
          }
        ],
        "description": "French home insurances are of insurance type `houseContentInsurance` and subtype `condoInsurance`, containing additional fields relevant for the French market\n",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/InsuranceHome"
          },
          "propertyName": "insurance"
        },
        "required": [
          "externalId",
          "insuranceCompany",
          "insuranceSubType",
          "insuranceType"
        ],
        "title": "FrenchInsuranceHome",
        "x-tag": "Insurance Type"
      },
      "FrenchInsuranceHouseContent": {
        "description": "Schema implemented by all French contents insurance objects (see extended sections).\n",
        "discriminator": {
          "mapping": {
            "condoInsurance": "#/components/schemas/FrenchInsuranceHome",
            "parent": "#/components/schemas/InsuranceHouseContent",
            "villaInsurance": "#/components/schemas/FrenchInsuranceVilla"
          },
          "propertyName": "insuranceSubType"
        },
        "properties": {
          "additionalAmenities": {
            "description": "Which amenities are available in the home.",
            "example": "FIREPLACE",
            "items": {
              "description": "Which amenities are available in the home.",
              "enum": [
                "FIREPLACE",
                "POOL",
                "GARDEN"
              ],
              "example": "FIREPLACE",
              "type": "string"
            },
            "type": "array",
            "uniqueItems": true
          },
          "insurancePreviouslyRefused": {
            "description": "Whether insurance coverage has been refused for this person.",
            "example": false,
            "type": "boolean"
          },
          "insuredValuablesAmount": {
            "description": "Maximum compensation for valuable property.",
            "example": 85000,
            "format": "double",
            "type": "number"
          },
          "numberOfAdults": {
            "description": "The number of adults residing in the home.",
            "example": 2,
            "format": "int32",
            "type": "integer"
          },
          "numberOfChildren": {
            "description": "The number of children residing in the home.",
            "example": 2,
            "format": "int32",
            "type": "integer"
          },
          "numberOfRooms": {
            "description": "The number of rooms in the home.",
            "example": 4,
            "format": "int32",
            "type": "integer"
          },
          "outbuildingsTotalArea": {
            "$ref": "#/components/schemas/FrenchOutbuildingsTotalArea"
          },
          "ownershipStatus": {
            "description": "Whether the home is owned by the insurance holder.",
            "enum": [
              "OWNER",
              "TENANT",
              "SECONDARY_TENANT",
              "UNKNOWN"
            ],
            "example": "OWNER",
            "type": "string"
          },
          "professionalUsage": {
            "description": "Whether the property is used for business purposes.",
            "example": false,
            "type": "boolean"
          },
          "residentialStatus": {
            "description": "Who resides in the home.",
            "enum": [
              "PRIMARY_RESIDENCE",
              "SECONDARY_RESIDENCE",
              "RENTAL_RESIDENCE",
              "UNKNOWN"
            ],
            "example": "PRIMARY_RESIDENCE",
            "type": "string"
          }
        },
        "title": "FrenchInsuranceVehicle",
        "x-markets": {
          "fr": true
        }
      },
      "FrenchInsuranceVehicle": {
        "description": "Schema implemented by all French vehicle insurance objects (see extended sections).\n",
        "discriminator": {
          "mapping": {
            "carInsurance": "#/components/schemas/FrenchInsuranceCar",
            "parent": "#/components/schemas/InsuranceVehicle"
          },
          "propertyName": "insuranceSubType"
        },
        "properties": {
          "parking": {
            "$ref": "#/components/schemas/FrenchParkingLocation",
            "description": "Details about the parking location of the vehicle covered by the insurance policy"
          },
          "primaryDriver": {
            "$ref": "#/components/schemas/FrenchDriverInformation",
            "description": "The primary driver registered on the insurance policy"
          },
          "secondaryDrivers": {
            "description": "Any additional drivers registered on the insurance policy",
            "items": {
              "$ref": "#/components/schemas/FrenchDriverInformation"
            },
            "type": "array",
            "uniqueItems": true
          },
          "usagePurposes": {
            "description": "Which purposes the vehicle is covered for",
            "items": {
              "description": "A purpose for which the vehicle is used",
              "enum": [
                "PRIVATE",
                "COMMUTING",
                "WORK"
              ],
              "example": "COMMUTING",
              "type": "string"
            },
            "type": "array",
            "uniqueItems": true
          },
          "vehicleOwnership": {
            "$ref": "#/components/schemas/FrenchVehicleOwnership",
            "description": "The ownership form of the vehicle"
          }
        },
        "title": "FrenchInsuranceVehicle",
        "x-markets": {
          "fr": true
        }
      },
      "FrenchInsuranceVilla": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Insurance"
          },
          {
            "$ref": "#/components/schemas/FrenchInsurance"
          },
          {
            "$ref": "#/components/schemas/FrenchInsuranceHouseContent"
          },
          {
            "$ref": "#/components/schemas/InsuranceVilla"
          },
          {
            "properties": {
              "@market": {
                "$ref": "#/components/schemas/Market",
                "example": "fr"
              },
              "additionalAmenities": {
                "description": "Which amenities are available in the home.",
                "example": "FIREPLACE",
                "items": {
                  "enum": [
                    "FIREPLACE",
                    "POOL",
                    "GARDEN"
                  ],
                  "type": "string"
                },
                "type": "array",
                "uniqueItems": true
              },
              "claims": {
                "$ref": "#/components/schemas/Claims",
                "description": "Enabled by feature flag"
              },
              "coming": {
                "description": "If the insurance startDate is in the future given the current date of the data collection\n",
                "example": false,
                "type": "boolean"
              },
              "discountAmount": {
                "description": "Yearly discount amount in local currency",
                "example": 143,
                "format": "int32",
                "type": "integer"
              },
              "discountPercentage": {
                "description": "The discount percentage, represented as a string containing a number between 0 and 100. Null if not available.",
                "example": "10",
                "type": "string"
              },
              "endDate": {
                "description": "End date for the insurance",
                "example": "2023-12-31",
                "type": "string"
              },
              "externalId": {
                "description": "Unique identifier for a specific insurance within a collection.",
                "example": "a8a2d600-d314-4ef3-ade1-611c3b596296",
                "type": "string"
              },
              "insuranceCompany": {
                "$ref": "#/components/schemas/InsuranceCompany",
                "description": "Insurance company name",
                "example": "se-insurance-company"
              },
              "insuranceHolderCity": {
[...]
